black/blank screen and freeze at startup after installing nvidia driver (with hybrid graphic card)

Bug #1362848 reported by Jie Huang on 2014-08-28
258
This bug affects 55 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-331 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-340 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-346 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-352 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-355 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-361 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-364 (Ubuntu)
Undecided
Unassigned
ubuntu-drivers-common (Ubuntu)
Undecided
Unassigned

Bug Description

I'm using Ubuntu 14.04 64bit, after install nvidia binary driver 331.89 from Additional Drivers application then reboot, it shows black screen, no login window, I even can't use ctrl+alt+F2 to switch to text mode, then I reboot and go to recovery mode, use 'prime-select intel' to switch to intel GPU and reboot, everything is fine, but as soon as I switch to nvidia GPU, still same issue.

OS: Ubuntu 14.04 64bit
Laptop: HP ENVY 15t Nvidia GeForce GT 740M + Intel HD 4600
Desktop: Unity
Kernel: 3.13.0
CPU: Intel® Core™ i7-4700MQ

--------------------------------------------------------------------------

Temporary workaround (intel session):
Reboot to recovery mode, mount the filesystem and run
`prime-select intel`. Than reboot.

Temporary workaround (nvidia session):
close the lid and open it back
http://askubuntu.com/questions/762329/black-screen-on-boot-screen-reappears-after-closing-and-opening-lid

Possible temporary fix:
see https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1362848/comments/18

Jie Huang (william-jieh) on 2014-08-28
tags: added: nvidia-331
description: updated
Jie Huang (william-jieh) on 2014-08-28
summary: - ubuntu 14.04 after install nvidia binary driver 331.89 from addtion
- driver application black screen and freeze
+ ubuntu 14.04 after install nvidia binary driver 331.89 black screen
+ and freeze
description: updated
description: updated
description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: New → Confirmed
Jie Huang (william-jieh) on 2014-08-29
description: updated

Similarly for Lenovo T420 nvidia NVS 4200M except I can switch to text mode with cntr+alt+Fx, switch back to intell and restart lightdm. I can also confirm that switching between nvidia and intell had worked previously for ubuntu 14.04 however I cannot tell exactly when it stopped.

There are no errors in Xorg.0.log file.

This bug looks like a duplicate of this one:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-331/+bug/1268771

My problem was solved by installing package: nvidia-331-updates instead of nvidia-331.

Have the same problem. Since ca. 7 - 14 Days, after a update (can't say which) there is no way to reboot in nvidia - mode. Same with nvidia-331-updates!

OS: Ubuntu 14.04.1 64bit
Laptop: Dell Inspiron 17r
Desktop: Unity
Kernel: linux-headers-3.13.0-24
CPU: Intel® Core™ i7-3630QM CPU @ 2.40GHz × 8

Have the same proplem on two other notebooks found with nvidia-prime:

Terminal:
~$ sudo prime-select nvidia:

Error: alternatives are not set up properly
Error: nvidia mode can't be enabled

~$ prime-select query:

unknown

Maybe the bug is similar to:

https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1310023

and

https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1289420

ncordon (ncordon) wrote :

Also affecting me. I'm desperate. I've even tried to install lower and upper versions of linux kernel, but the problem remains

Salvatore Martire (klarkent911) wrote :

Installed nvidia-331-updates but still the problem persists.
If I "sudo modprobe nvidia" I get the error "modprobe: ERROR: could not insert 'nvidia_331_updates': Invalid argument" and if I try "prime-switch nvidia" I get "/etc/modprobe.d is not a file"
In attachment also my Xorg.0.log when booting after "prime-select nvidia"

Volkan Sonek (vsonek) wrote :

Same with my Dell E6520 with HD3000 and NVS4200M. When I switch to Nvidia I am stuck in a black screen just before the login screen.

The strange thing is that when I connect an external monitor through VGA port I can login and use the desktop on the external monitor but built-in display is still blank.

Each time I have to drop back to console and switch back to intel with prime-select command. to get the screen back.

Just after switching to Nvidia xorg.conf is deleted and if I copy a previously backed-up xorg.conf file Nvidia works but is broken again when I make a switch from Intel to Nvidia.

pavel bursa (bursap) wrote :

Black screen after user switch in Ubuntu 14.04.1 LTS, Unity desktop, fresh install (no upgrade from 12.04)
3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Nvidia binary driver ver. 331.113 from nvidia-331 (proprietary, tested)

Pentium Dual-Core E6300 @ 2.8 Ghz
Nvidia GEForce GT640
Board: Asus p5q3

Martina (mdeturres) wrote :

I have the same problem since one day.
I'm using Ubuntu 14.04.01 64bit, Kernel version 3.13.0-44-generic ,Lenovo thinkpad laptop t440p, Nvidia GeForce 730m.

A bit of history:

After installing the system I immediately installed nvidia drivers 331, I had to immediately update them because I had some issues with unity desktop (login working, desktop present, but no interface, meaning no menu no unity dash).
I updated to version 340.58 and everything was working after disabling nomodeset as a grub option. Able to switch between intel and nvidia with prime-select command and within nvidia-settings interface. The suspension was working good with nvidia loaded, not with intel, for some reason the login page after the suspension wasn't able to recognize me as a user...

One day ago I did some system updates, don't know exactly which one, but I knwo it updated to version 14.04.0. I checked the version of nvidia drivers, they were the same 340.65.

I suspended my laptop as I always did during the last weeks and it wasn't able to restore the system. It shows black screen, no login window, no external monitor recognized. I am able to switch to another workspace, sun prime-select intel, and reboot.
The I have everything working again (but the suspension..), as soon as I change again to Nvidia, I get again the black screen, i can hear the sound of the login page, nothing more.

kcpr (kcpr) wrote :

Same problem. Like in Martinas' story everything worked great and I did nothing special, but yesterday after tring 'prime-select nvidia' I got a black login screen. Tried reinstalling drivers and all other stuff like that, with no luck. I just noticed that then I've got this black login screen I can suspend my laptop (by closing it) and after restoring sometimes - not always - I've got a normal unity greeter. It's not a solution, not even a real workaround.
Anyway this bug sucks, aspecially because it just suddenly appered without any good reason. :/
Just fix it!

kcpr (kcpr) wrote :

Nvidia GeForce GT 650M/PCIe/SSE2.
331.113 driver.

I have a laptop Asus K53s with nVidia GeForce GT 540M. I (freshly) installed Ubuntu 14.04 64bit and set up nvidia-331 proprietary driver for the graphic card. I set prime option to run nVidia acceleration and it used to work fine.

On 25th Janaury 2015, there was an Ubuntu software update (from apt log I saw it was updated nvidia-settings, and other stuff) after which I see a black screen instead of the login screen.

I tried to switch to intel graphic card (sudo prime-switch intel) but it gives erros, it is not able to switch to intel.

I tried to purge nvidia* and then install nvidia-340, but it still shows black screen instead of login.

The only way to use my laptop is to install:

apt-get install nvidia-current-updates

which is the driver nvidia-304. But it uses the intel graphics card. It is not possible switch to nVidia neither with

sudo prime-switch nvidia

nor with

nvidia-setting graphic utility.

I need to use my nVidia card for graphic acceleration (OpenGL). At the moment the laptop is too slow for my activity (CAD).

kcpr (kcpr) wrote :

After some time and prayer I've somehow got it fixed. :) Just totally reinstalled drivers.
Before I tried a lot of different stuff - like installing bumblebee, gdm or different drivers for example. That's why not all of this steps will be required for You I believe. On the other hand maybe I did something more before, which You will not find here. Anyway You can try it.

sudo ppa-purge ppa:bumblebee/stable
sudo rm /etc/X11/xorg.conf*
sudo apt-get purge nvidia* bumblebee*
sudo rm /etc/X11/xorg.conf
sudo apt-get autoremove
sudo apt-get update
sudo apt-get upgrade
sudo reboot
sudo apt-get install nvidia-331 nvidia-prime
sudo reboot

And before I purged 'xorg-edgers' ppa with 'ppa-purge ppa:xorg-edgers '.

And my current '/etc/X11/xorg.conf' content:
"

Section "ServerLayout"
    Identifier "layout"
    Screen 0 "nvidia"
    Inactive "intel"
EndSection

Section "Device"
    Identifier "intel"
    Driver "intel"
    BusID "PCI:0@0:2:0"
    Option "AccelMethod" "SNA"
EndSection

Section "Screen"
    Identifier "intel"
    Device "intel"
EndSection

Section "Device"
    Identifier "nvidia"
    Driver "nvidia"
    BusID "PCI:1@0:0:0"
    Option "ConstrainCursor" "off"
EndSection

Section "Screen"
    Identifier "nvidia"
    Device "nvidia"
    Option "AllowEmptyInitialConfiguration" "on"
    Option "IgnoreDisplayDevices" "CRT"
EndSection

".

Hope that it will also work for You.

JS (js101) wrote :

Thought I post this as well; so I updated my system yesterday, today had to reboot and then was seeing just the blank screen, so I rebooted my laptop again only to be greeted again to the same black screen. I was able to fix it doing the following below, and here are my specs as well:

- Asus X550L having Nvidia Geforce 720
- Running Ubuntu 14.04.1 LTS

So booted up and greeted with the black screen. Pressed Ctrl+Alt+F1 to get onto the terminal screen, logged in using my credentials, and all I did was:

$ sudo apt-get dist-update (I didn't run dist-upgrade afterwards as I had upgraded last night)
$ sudo apt-get install nvidia-current-updates
$ sudo reboot

And no more black screen, greeted back to GUI.

JS (js101) wrote :

Actually I just checked and for GPU usage, its using Intel (Power Saving Mode) not Nvidia (Performance Mode).

Intel (Power Saving Mode) is selected within Nvidia X Server Settings, when selecting Nvidia (Performance Mode), I get prompted for my password, after entering my password it just gives a small blank window (no text in it) with an OK button to click on. Clicked on OK and the selection reverts back to Intel (Power Saving Mode).

I fixed the problem with my nvidia graphic card using the post #15.

Thank you very much kcpr (mkasprzyk5) without your help I would not be albe to fix it.

Here how I fixed in details:

Log out and go to the console:

CTRL-ALT-F1

if (like me) you tried to install latest nvidia driver (nvidia-340 ...), you need to revert back with following commands:

sudo apt-get install ppa-purge
sudo ppa-purge xorg-edgers
sudo apt-get purge nvidia*

Then copy all xorg config files in a temporary dir:

cd
mkdir temp
sudo mv /etc/X11/xorg.conf* ./temp/

Then clean, update, upgrade and reboot the system:

sudo apt-get autoremove
sudo apt-get update
sudo apt-get upgrade
sudo reboot

Go to the console:

CTRL-ALT-F1

Install nvidia 331:

sudo apt-get install nvidia-331 nvidia-prime

Copy the old xorg.conf made by nvidia back in its directory:

sudo cp temp/xorg.conf.nvidia-xconfig-original /etc/X11/xorg.conf

And edit it (I used vi, you may prefer nano):

sudo vi /etc/X11/xorg.conf

To be as the following:

Section "ServerLayout"
    Identifier "layout"
    Screen 0 "nvidia"
    Inactive "intel"
EndSection

Section "Device"
    Identifier "intel"
    Driver "intel"
    BusID "PCI:0@0:2:0"
    Option "AccelMethod" "SNA"
EndSection

Section "Screen"
    Identifier "intel"
    Device "intel"
EndSection

Section "Device"
    Identifier "nvidia"
    Driver "nvidia"
    BusID "PCI:1@0:0:0"
    Option "ConstrainCursor" "off"
EndSection

Section "Screen"
    Identifier "nvidia"
    Device "nvidia"
    Option "AllowEmptyInitialConfiguration" "on"
    Option "IgnoreDisplayDevices" "CRT"
EndSection

Eventually reboot the system:

sudo reboot

Now I have nvidia set as graphic card and the hardware acceleration works fine.

I forgot to write kcpr (mkasprzyk5) explains how to fix this bug on post #15.

kcpr (kcpr) wrote :

Just as addition to my previous - #15 - post: I did not edit xorg.conf manually. It was generated automatically at some point.

Also - I'm not sure is it really necessary to install 331 driver. I used it before, so I just reinstalled it, but if You used some other version, You can try reinstalling that one in the first place.

And I'm glad I could help Simone. :)

Andrew Frolikov (frol3000) wrote :

The same problem is here. After an update (approx. 26-27 Jan) to 3.13.0-43 (45 now) there is no way to reboot in nvidia - mode. Tried different drivers version (331 to 346) and their 'updates' variations. With any nvidia drivers installed i'm getting black screen instead of ligthdm invitation.

OS: Ubuntu 14.04.1 64bit
Laptop: Acer Aspire V5-573G, GeForce GT 750M
Desktop: Unity
Kernel: linux-headers-3.13.0-45
CPU: Intel® Core™ i7-3630QM CPU @ 2.40GHz × 8

olari (olari-pipenberg) wrote :

I can also confirm that this bug still exists. I tried all above solutions, but these did not helped me. I am also getting black screen if I am using NVIDIA adapter.

OS: Ubuntu 14.04.1 64bit
Laptop: Acer E5-571G
GPU(s): GeForce GT 840 and Intel HD 4400
Desktop: Unity
Kernel: 3.13.0-45-generic
CPU: Intel® Core™ i5-4210U

ConZ (conz27) wrote :

My work laptop was severely affected by this bug ... needs to get resolved ASAP because it does actually prevent me from getting my work done.

Essentially, same as everyone else on this thread: black screen on boot-up with the NVIDIA adapter.

OS: Ubuntu 14.04.1 LTS 64bit
Laptop: Thinkpad w540
GPU: NVIDIA GK107GLM (Quadro K1100M) and Intel HD 4400
Desktop: KDE
Kernel: 3.13.0-45-generic
CPU: Intel Core i7-4900MQ

tags: added: nvidia-340 nvidia-346
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-340 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-346 (Ubuntu):
status: New → Confirmed
Rajat Pandita (rajat-pandita) wrote :

#15/#18 is a confirmed workaround.

The issue seems with generating the correct Xorg-Configuration file. I tried using nvidia-xconfig however it never got to a point where it could generate a correct and working Xorg.conf file. Following #15 and #18 from the responses in this bug, has actually resolved my issues.

To be more precise, I followed #18 step by step and the issue is resolvd now. I have a functional install of Ubuntu 14.04.1 with NVIDIA-331 Drivers from the Stock Ubuntu Repos.

This has saved me 2 Days of total Frustration. I have had to reinstall Ubuntu 2 times just because of this Crazy Issue
Thanks to Simone Pernice (pernice-libero) and kcpr (kcpr) for this wonderful solution.

My Specs - Lenovo Z50=70 Laptop Nvidia 820M Graphics Card with Intel 4000 Series Onboard haswell Graphics Card.
Ubuntu 14.0.4.1

Regards
Rajat

Andrew Frolikov (frol3000) wrote :

@ajat-pandita I wouldn't say that >>> #15/#18 is a confirmed workaround. It's a workaround for SOME people. I tried both approaches and some other (even tried 3.18 kernel). Problem still persist for my hardware (Intel + GT750). Seems like something was broken with nvidia drivers since the moment my 14.04.1 had been updated to 3.13.0-45 kernel. I even tried re-install system. It didn't help. Maybe it's something in my ~/.config or another of such kind of directories (because i keep my /home partition untouchable when i re-install system) - i don't know.
If someone who's going to tackle this problem needs any logs i will gladly provide them.

Best regards

Arhiiivs (arhiiivs) wrote :

Same problem here. When the nvidia GPU is prime-selected, I'm getting a black screen on startup, though Ubuntu booted and I can hear it working when I adjust sound volume with the keyboard. When intel GPU prime-selected, everything works fine.
Like others who posted here, for me the GPU switching function worked before end of January, when after some updates (I really don't know which ones, I didn't follow) this error occured and keeps persisting. I tryed the solutions described on the posts #15 and #18 but they didn't work for me. Additionally I get an error message at startup: "System program problem detected. Do you want to report the problem now?". When I select "Report problem...", it shows a screen where I can check error details and it says "ExecutablePath /usr/bin/Xorg".
Please keep this thread alive, we need a solution.

OS: Ubuntu 14.04.1 LTS 64bit
Laptop: Acer E5-571G
GPU: NVIDIA GeForce 840M and Intel HD 4400
Kernel: 3.13.0-45-generic
CPU: Intel Core i7-4510U

Regard
arhiivs

Hi guys for those who must use the laptop and cannot wait for the bug to be fixed soon you just should use primus/bumblebee instead of nvidia-prime. Just remove everything and install nvidia drivers (which one you prefer), primus (it should install also dependencies) and just configure bumblebee.conf to detect your card and drivers... it is not too difficult but it works like a charm. Plus if you use softwares like Blender you can use both GPUs to render ;)

Axept (axept) wrote :

When using binary driver nvidia-331 (tested one) from additional drivers my laptop keeps freezing after a while. Is this related to this bug? Its frustrating.

Will it help to test others? Like 331-updates? 304?

What about legacy, what is that?

Tomasz (dextras) wrote :

I also experiance that issue but I have finally found a workaround that just works ;) You will find it on this website: http://vxlabs.com/2015/02/05/solving-the-ubuntu-14-04-nvidia-346-nvidia-prime-black-screen-issue/

Tomasz (dextras) wrote :

Looking at the same webpage (http://vxlabs.com/2015/02/05/solving-the-ubuntu-14-04-nvidia-346-nvidia-prime-black-screen-issue/) in the comments ( by By JustAnotherCCppXXDummy) there is another and much simpler solution.

After you start your laptop (for optimus users - in nvidia mode), and getting the black screen of death ;), close your lid to put your laptop to sleep. Then open it and .... voila! You can now see the login screen.

This worked for me like a charm with the xorg-edgers 346 drivers.

OS: Ubuntu 14.04.2 64bit
Laptop: Asus UX32V
Desktop: Unity
Kernel: 3.13.0-46-generic
CPU: Intel® Core™ i7-3517U CPU @ 1.90GHz × 4
GPU: GeForce GT 620M/PCIe/SSE2

Arhiiivs (arhiiivs) wrote :

Wow! It actually works!
Thanks a lot Tomasz!
I hope this also helps others wth this problem and also the Ubuntu developers to find the reasons behind this error. It has been an issue for a while now...

Greets.

Gregor (gregor-g) wrote :

well that might be a work arround for Optimus. I on the other hand have GT 730 i just bought. inserted it into the computer, booted to low resolution in nouveau drivers. added Xorg edgers PPA to be able to install nvidia 340. and it should all work (just liek it did for many people with similar card on forums), right? wrong - when i get to desktop all i get is blank screen (can see the VESA splash with dots under Kubuntu before that).
Card is recognised only as Nvidia Corporation Device. there is no chip or anything like that. Xorg.log shows that GPU failed to initialize. It also can not find "screens"

i've also found this in one of the logs i went through yesterday:
"API mismatch: the client has the version 340.76, but this kernel module has the version 331.113. "

same happens when using version 346.

I can not get to desktop basically ot be able to use nvidia settings. when driver get's installed nvidia-settings is emtpy. there is no devices in it. ofcoruse upon reboto there is blank screen so i can't say what is in it then.

I am also not sure why bb switch and things like that are being installed if i only have one GPU in the motherboard.

though i should mention that the motherboard has two slots (PCIe (@ 4x) and AGP). At the moment i am using very old Radeon and foss driver there works and finds correct screen resolution (1650x1050) well. But it is crashing when running some games, so i wanted to replace it with nvidia only to be met by dissapointment and very poor nvidia linux support.

Xorg-edgers ppa gives me 640x840 screen resolution and works very very slow.

OS: Kubuntu 14.04.1 32bit
Desktop: KDE
Kernel: 3.13.0-46-generic
CPU: Intel Celeron E3300
GPU: GeForce GT 730 MSI 2 GB (N730-2GD3V1)

enboig (enboig) wrote :

I had the same problem; I discovered I was mixing trusty xorg with utopic kernel... upgrading both to utopic solved the problem:

https://wiki.ubuntu.com/Kernel/LTSEnablementStack

Archie B (not-really-archie) wrote :

@Tomasz re: #32

I cannot believe that actually worked. I have been trying to solve this issue for hours. Can someone please confirm when an "actual" fix will be released for this problem?

Jackson (mizusajt) wrote :

Simone's post #18 worked for me! It is a miracle. I've been searching for an answer for 2 days now and finally i found this page. (Google seemed to point me in every wrong direction first)
I created an account here just so i can thank you for your help.

kirby_33 (kirby-33) wrote :

Hello everybody!

As many others users, I get a black screen when I try to switch on the nvidia card.
I am just a user, therefore I just give my feedback.

I use nvidia-prime and the nvidia drivers coming from the ppa xorg-edgers ppa.
I use also prime-indicator for quickly switch between the nvidia (GTX880M) and the intel card and my login manager is lightdm.

First comment, for me the black screen issue doesn't comes from the driver but of nvidia-prime.

My first suggestion to solve the black screen. Using the the root privilege edit the file /sbin/prime-offload and just replace the first line #!/bin/sh by #!/bin/bash.

Now, you can use the command: prime-select nvidia (or intel) and reboot your laptop. Normally, now you can switch between the two cards but the quick switch of "prime-indicator" doesn't work.

For the next step, I don't have a real solution but just a workaround:
With the root privilege edit the files /usr/lib/primeindicator/igpuon and /usr/lib/primeindicator/dgpuon and just before "sync" insert this line:
service lightdm restart

So you get this for the file igpuon:
prime-select intel
service lightdm restart
sync

And you get this for the file igpuon:
prime-select nvidia
service lightdm restart
sync

I hope that this feed-back will be helpful to other people.
++ Kirby

mika (mic-schaller) wrote :

Intel® Core™ i7-4712
 GTX 860M / intel

#38 didn't do it for me
#18 is more complicate than putting laptop to sleep & back on on nvidia boot (to keep the ability to switch easily between graphic card)

however, KUZnets has written a script to work around but haven't tested it although it sounds very good;

see KUZnets comment, March 08, 2015 9:49 PM here : http://vxlabs.com/2015/02/05/solving-the-ubuntu-14-04-nvidia-346-nvidia-prime-black-screen-issue/

if someone (less noob than me) could confirm this a decent workaround (for laptop user at least) that won't create more problem than it solves ? thanks

Leif K-Brooks (eurleif) wrote :

I had a similar issue on my Dell Precision M3800. (Black screen with nvidia drivers enabled, fine with Intel drivers, and the workaround of closing the lid worked.)

Turns out, it was caused by a buggy version of xserver-xorg-video-intel, which came from the xorg-edgers PPA repository. When I downgraded to the official Ubuntu version, everything worked fine.

To downgrade to the official Ubuntu version, you need to find its version string. For me, on trusty, the latest official version string was "2:2.99.910-0ubuntu1.6", but you can find it for yourself with "apt-cache showpkg xserver-xorg-video-intel". Once you have the version string, do "apt-get install xserver-xorg-video-intel=VERSIONSTRINGHERE".

You'll also want to "pin" the package to prevent upgrades from automatically installing the PPA's version in the future. To do that, create a file called /etc/apt/preferences.d/no-intel-ppa with the following contents:

Package: xserver-xorg-video-intel
Pin: release o=LP-PPA-xorg-edgers
Pin-Priority: -1

mika (mic-schaller) wrote :

no more black screen, thank you so much #40

Vlad Tepes (somewherebutwhere) wrote :

Hy all!

The problem is not only on nVidia cards!

The same thing (black screen on Ubuntu) happens on AMD ATI cards also!

The problem seems to be due to the fact that Ubuntu and derivates distros based on Ubuntu (Mint, Mate, etc.) detects an unreal, extremely high Graphic Processor Unit temperatures from GPU sensors (DOUBLE THAN THE REAL VALUES), and then Ubuntu kills the graphic output in order to protect the graphic card from overheating.

For more details read this post here:
http://askubuntu.com/questions/655200/black-screen-ubuntu-14-04-a-possible-cause

The post is way too big to copy/paste it here.

Please check the GPU sensors temperatures on Ubuntu 14.04 also within your systems.

Of course that can be done only by those who systems are still showing at least the Ubuntu desktop, in order to run the Terminal.

I hope that somewone will find a solution for this BLACK SCREEN issue.

Matt C (playsilicon) wrote :

It looks like we are all having the same issue:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1449560

...and it would make sense if the heart of the problem lies with Xorg server, seeing as people with NVIDIA and AMD ATI cards are both experiencing the same issue.

bakaniko (baka-niko) wrote :

Add this on ubuntu MATE 14.04.2 after the upgrade of nvidia-331 to nvdia-340. Add to get back to nvidia-current.

Rene Greuel (renegreuel) wrote :

I already tried switching to Ubuntu 15.04 and 15.10 while using nvidia-352 and nvidia-355 (from ppa:graphics-drivers/ppa). Both ways failed after clean install. I'm moving to this bug from:
- https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1449560

twisted_tits (twisted-tits) wrote :

I have Xubuntu 14.04 amd64 and this is how i fixed my black-screen problem. My hardware is Dell R15 N5110 with hybrid graphics Geforce M525 + Intel HD 3000. Left display is LVDS and right is HDMI.

Currently i have nvidia-355 and it works fine.

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 525M] (rev a1)

$ dpkg -l ubuntu-drivers-common
1:0.2.91.11

$ dpkg -l nvidia-common
1:0.2.91.11

$ prime-select query
nvidia

$ cat /etc/apt/sources.list.d/graphics-drivers-ppa-trusty.list
deb http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu trusty main
# deb-src http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu trusty main

$ cat /etc/lightdm/display_fix.sh
#/bin/bash
xrandr --setprovideroutputsource Intel NVIDIA-0
xrandr --auto
xrandr --output LVDS1 --left-of HDMI-0
xrandr --output LVDS1 --primary
exit

$ cat /etc/lightdm/lightdm.conf.d/20-custom.conf
[SeatDefaults]
display-setup-script=/etc/lightdm/display_fix.sh

$ cat /etc/X11/xorg.conf
Section "ServerLayout"
    Identifier "layout"
    Screen 0 "nvidia"
    Inactive "intel"
EndSection

Section "Device"
    Identifier "intel"
    Driver "intel"
    BusID "PCI:0@0:2:0"
    Option "AccelMethod" "SNA"
EndSection

Section "Screen"
    Identifier "intel"
    Device "intel"
EndSection

Section "Device"
    Identifier "nvidia"
    Driver "nvidia"
    BusID "PCI:1@0:0:0"
    Option "ConstrainCursor" "off"
EndSection

Section "Screen"
    Identifier "nvidia"
    Device "nvidia"
    Option "AllowEmptyInitialConfiguration" "on"
    Option "IgnoreDisplayDevices" "CRT"
EndSection

$ chmod +x /etc/lightdm/display_fix.sh
$ chattr +i /etc/X11/xorg.conf

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-352 (Ubuntu):
status: New → Confirmed
Dmitriy Merzlov (rxwrxrx) wrote :

Hi all!

Same here, on my Dell N5110 with Core i5 Intel HD3000 + GT525M.
After upgrade to Ubuntu 15.10 Stable with nvidia-355 the problem is solved. Black screen no longer appears, without applying script, which posted twisted_tits above.

Regards,
Dmitriy

Matt C (playsilicon) wrote :

Same as Dmitriy, updating to 15.10 has resolved the issue completely.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-355 (Ubuntu):
status: New → Confirmed
Nico (n-b-agostini) wrote :

Similar problem here in 14.04:
"Black screen with nvidia drivers enabled, fine with Intel drivers, and the workaround of closing the lid worked."

Solution proposed by #40 solved it in ubuntu 14.04.

Derek Rollend (derek-rollend) wrote :

I'm having the same issue on 14.04.4, and I think the solution in #40 will work for me. However, I am having trouble downgrading the xserver-xorg-video-intel version from lts-wily (2:2.99.917+git20150808-0ubuntu4~trusty2).

When I try and install the specific version mentioned in #40 I get unmet dependencies: xorg-video-abi-15 and xserver-xorg-core (>= 2:1.14.99.902), followed by "Unable to correct problems, you have held broken packages". Any advice or ideas?

mdyn (tamerlaha-gmail) wrote :

Lol #40 works.
Gt620 nvidia stopped working after some update. Fresh 14.04.4 has the same issue.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-graphics-drivers-361 (Ubuntu):
status: New → Confirmed
Changed in nvidia-graphics-drivers-364 (Ubuntu):
status: New → Confirmed
Tamimaddari (tamim-tamim1382) wrote :

Same problem as #52 , Anyone have solution for that?

Kernel version : 4.4.0-31-generic
Ubuntu 14.04.4

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xserver-xorg-video-intel : Depends: xorg-video-abi-15
                            Depends: xserver-xorg-core (>= 2:1.14.99.902

fcole90 (fcole90) on 2016-08-03
description: updated
summary: - ubuntu 14.04 after install nvidia binary driver 331.89 black screen
- and freeze
+ black/blank screen and freeze at startup after installing nvidia driver
+ (with hybrid graphic card)
fcole90 (fcole90) on 2016-08-03
description: updated
tags: added: nvidia-361
description: updated
fcole90 (fcole90) on 2016-08-03
description: updated
fcole90 (fcole90) on 2016-08-03
no longer affects: ubuntu-drivers-common
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-drivers-common (Ubuntu):
status: New → Confirmed
kopolov (kopolov) wrote :

Also affect ubuntu 16.04 64 bit
I just installed ubuntu 16.04.1 64 bit (complete vanilla)
1. apt-get upgrade
2. apt-get dist-upgrade
3. install nvidia proprietary driver from "System settings -> Software & updates -> Additional Drivers" (current driver is 367.57- marked "proprietary, tested").
4. reboot
5. blank screen as described above.

I've modified grub with "nomodeset" - did not work.
Removed "quiet, splash" - did not work
add "set gfxpayload=text" - got some output to the screen, but not can't tell what it does and I have no idea where the data is stored - and then blank screen.
disabled vesa frame buffer (vesafb.nonsense=1) - did not work

My graphic HW: GTX 960

Andy Dudley (techknowfile) wrote :

Re: #40 - solution for #52 and #56 - try this:
sudo apt-get install xserver-xorg-xvideo-intel=<VERSION HERE> xorg-video-abi-15 libcheese-gtk23 libcheese7 libclutter-1.0-0 libclutter-gtk-1.0-0 libcogl15 libclutter-gst-2.0-0 gstreamer1.0-clutter libcogl-pango15

This resolved the black screen issue for XPS 15 9550, Nvidia 960m, Ubuntu 14.04, Proprietary nvidia-367 drivers. After 13 hours of trial and failure.

Thank you all

Changed in nvidia-graphics-drivers-364 (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments